Changeset 213 for ThirdParty/HSL


Ignore:
Timestamp:
Jan 30, 2007 4:46:14 PM (15 years ago)
Author:
andreasw
Message:

reran autotools with latest coin.m4

Location:
ThirdParty/HSL/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/Makefile.in

    r210 r213  
    198198abs_lib_dir = @abs_lib_dir@
    199199abs_source_dir = @abs_source_dir@
     200ac_c_preproc_warn_flag = @ac_c_preproc_warn_flag@
    200201ac_ct_AR = @ac_ct_AR@
    201202ac_ct_CC = @ac_ct_CC@
     
    204205ac_ct_RANLIB = @ac_ct_RANLIB@
    205206ac_ct_STRIP = @ac_ct_STRIP@
     207ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    206208am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    207209am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • ThirdParty/HSL/trunk/configure

    r210 r213  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10741074  --enable-debug-hsl compile this project (HSL) with debug options
    10751075  --enable-doscompile     Under Cygwin, compile so that executables run under
    1076                           DOS (default: disabled)
     1076                          DOS. Set to mingw to use gcc/g++/ld with
     1077                          -mno-cygwin. Set to msvc to use cl/link. Default
     1078                          when mentioned: mingw. Default when not mentioned:
     1079                          disabled.
    10771080  --enable-static[=PKGS]
    10781081                          build static libraries [default=no]
     
    17741777    fi
    17751778    ;;
    1776 esac
    1777 
    1778 # Check whether --enable-doscompile or --disable-doscompile was given.
     1779 esac
     1780 case $enable_doscompile in
     1781   msvc)
     1782     if test "x${LD+set}" = xset; then :; else
     1783       LD=link
     1784     fi
     1785     ;;
     1786 esac
     1787
     1788
     1789 # Check whether --enable-doscompile or --disable-doscompile was given.
    17791790if test "${enable_doscompile+set}" = set; then
    17801791  enableval="$enable_doscompile"
    1781   if test "$enable_doscompile = yes"; then
    1782   case $build in
    1783     *-cygwin*) ;;
    1784     *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes only sense under Cygwin" >&5
    1785 echo "$as_me: error: --enable-doscompile option makes only sense under Cygwin" >&2;}
     1792  if test "$enable_doscompile" != no; then
     1793     case $build in
     1794       *-cygwin*) ;;
     1795       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
     1796echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
    17861797   { (exit 1); exit 1; }; } ;;
    1787   esac
    1788 fi
     1798     esac
     1799   fi
    17891800else
    17901801  enable_doscompile=no
    17911802fi;
     1803 case "$enable_doscompile" in
     1804   msvc|mingw|no) ;;
     1805   yes) enable_doscompile=mingw ;;
     1806   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1807                    Try configure --help=recursive." >&5
     1808echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1809                    Try configure --help=recursive." >&2;}
     1810   { (exit 1); exit 1; }; }
     1811      ;;
     1812  esac
     1813  if test "$enable_doscompile" != no ; then
     1814    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1815echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1816  fi
    17921817
    17931818
     
    18231848
    18241849save_cflags="$CFLAGS"
     1850# For sparc-sun-solaris, promote Studio/Workshop compiler to front of list.
     1851# ToDo: If Studio/Workshop cc is not present, we may find /usr/ucb/cc, which
     1852# is likely to be a non-functional shell. But many installations will have
     1853# both cc and gcc, so promoting gcc isn't good either. How to test reliably?
    18251854case $build in
    18261855  *-cygwin* | *-mingw*)
    1827              comps="gcc cl" ;;
     1856             if test "$enable_doscompile" = msvc ; then
     1857               comps="cl"
     1858             else
     1859               comps="gcc cl"
     1860             fi ;;
     1861  sparc-sun-solaris*)
     1862             comps="cc xlc gcc pgcc icc" ;;
    18281863  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    18291864  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
     
    18331868# performed with our choice of compilers earlier
    18341869$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
     1870# AC_MSG_NOTICE([C compiler candidates: $comps])
    18351871ac_ext=c
    18361872ac_cpp='$CPP $CPPFLAGS'
     
    25862622        coin_dbg_cflags="-g"
    25872623        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    2588         if test "$enable_doscompile" = yes; then
    2589           case $build in
    2590             *-cygwin*)
    2591               CFLAGS="-mno-cygwin"
    2592               cat >conftest.$ac_ext <<_ACEOF
     2624        case $enable_doscompile in
     2625          mingw)
     2626            CFLAGS="-mno-cygwin"
     2627            cat >conftest.$ac_ext <<_ACEOF
    25932628/* confdefs.h.  */
    25942629_ACEOF
     
    26352670rm -f conftest.err conftest.$ac_objext \
    26362671      conftest$ac_exeext conftest.$ac_ext
    2637               CFLAGS=
    2638             ;;
    2639           esac
    2640         fi
     2672            CFLAGS=
     2673          ;;
     2674        esac
    26412675    esac
    26422676  fi
     
    26462680        case "$CC" in
    26472681          cl* | */cl* | CL* | */CL*)
    2648             coin_opt_cflags='-O2'
    2649             coin_add_cflags='-nologo'
     2682            coin_opt_cflags='-MT -O2'
     2683            coin_add_cflags='-nologo -wd4996'
    26502684            coin_dbg_cflags='-MTd'
    26512685            ;;
     
    28232857fi
    28242858
     2859# If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
     2860
     2861case "$CFLAGS" in
     2862  *-mno-cygwin*)
     2863    if test x${CPPFLAGS+set} != xset ; then
     2864      CPPFLAGS="-mno-cygwin"
     2865    else
     2866      case "$CPPFLAGS" in
     2867        *-mno-cygwin*)
     2868          ;;
     2869        *)
     2870          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     2871          ;;
     2872      esac
     2873    fi ;;
     2874esac
     2875
    28252876# Try if CFLAGS works
    28262877save_CFLAGS="$CFLAGS"
     
    29472998    fi
    29482999    ;;
    2949 esac
     3000 esac
     3001 case $enable_doscompile in
     3002   msvc)
     3003     if test "x${LD+set}" = xset; then :; else
     3004       LD=link
     3005     fi
     3006     ;;
     3007 esac
    29503008
    29513009    ;;
     
    29613019case $build in
    29623020  *-cygwin* | *-mingw*)
    2963      coin_f77_comps="gfortran g77 ifort fl32" ;;
     3021     if test "$enable_doscompile" = msvc ; then
     3022       coin_f77_comps="ifort fl32"
     3023     else
     3024       coin_f77_comps="gfortran g77 ifort fl32"
     3025     fi ;;
     3026  sparc-sun-solaris*)
     3027     coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    29643028  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    2965 esac
     3029 esac
    29663030
    29673031
     
    29833047
    29843048save_fflags="$FFLAGS"
    2985 comps="$coin_f77_comps" #This comes from AC_COIN_F77_COMPS
    29863049
    29873050# We delete the cached value, since the test might not have been
    29883051# performed with our choice of compilers earlier
    29893052$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    2990 ac_ext=f
     3053
     3054# This is a real belt-and-suspenders approach. AC_COIN_FIND_F77 will use
     3055# coin_f77_comps to see if there's a program that matches one of the names.
     3056# If there's no such program, F77 = unavailable. If we match the name,
     3057# feed AC_PROG_F77 the same search list, just to be sure it's a functioning
     3058# compiler.
     3059# AC_MSG_NOTICE([Fortran compiler candidates: $coin_f77_comps])
     3060
     3061
     3062{ echo "$as_me:$LINENO: Trying to determine Fortran compiler name" >&5
     3063echo "$as_me: Trying to determine Fortran compiler name" >&6;}
     3064for ac_prog in $coin_f77_comps
     3065do
     3066  # Extract the first word of "$ac_prog", so it can be a program name with args.
     3067set dummy $ac_prog; ac_word=$2
     3068echo "$as_me:$LINENO: checking for $ac_word" >&5
     3069echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     3070if test "${ac_cv_prog_F77+set}" = set; then
     3071  echo $ECHO_N "(cached) $ECHO_C" >&6
     3072else
     3073  if test -n "$F77"; then
     3074  ac_cv_prog_F77="$F77" # Let the user override the test.
     3075else
     3076as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     3077for as_dir in $PATH
     3078do
     3079  IFS=$as_save_IFS
     3080  test -z "$as_dir" && as_dir=.
     3081  for ac_exec_ext in '' $ac_executable_extensions; do
     3082  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     3083    ac_cv_prog_F77="$ac_prog"
     3084    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     3085    break 2
     3086  fi
     3087done
     3088done
     3089
     3090fi
     3091fi
     3092F77=$ac_cv_prog_F77
     3093if test -n "$F77"; then
     3094  echo "$as_me:$LINENO: result: $F77" >&5
     3095echo "${ECHO_T}$F77" >&6
     3096else
     3097  echo "$as_me:$LINENO: result: no" >&5
     3098echo "${ECHO_T}no" >&6
     3099fi
     3100
     3101  test -n "$F77" && break
     3102done
     3103test -n "$F77" || F77="unavailable"
     3104
     3105
     3106if test "$F77" != "unavailable" ; then
     3107  ac_ext=f
    29913108ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    29923109ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    29933110ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    29943111if test -n "$ac_tool_prefix"; then
    2995   for ac_prog in $comps
     3112  for ac_prog in $coin_f77_comps
    29963113  do
    29973114    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
     
    30353152if test -z "$F77"; then
    30363153  ac_ct_F77=$F77
    3037   for ac_prog in $comps
     3154  for ac_prog in $coin_f77_comps
    30383155do
    30393156  # Extract the first word of "$ac_prog", so it can be a program name with args.
     
    30803197
    30813198# Provide some information about the compiler.
    3082 echo "$as_me:3082:" \
     3199echo "$as_me:3199:" \
    30833200     "checking for Fortran 77 compiler version" >&5
    30843201ac_compiler=`set X $ac_compile; echo $2`
     
    32233340ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    32243341
    3225 if test -z "$F77" ; then
     3342else
    32263343  { echo "$as_me:$LINENO: WARNING: Failed to find a Fortran compiler!" >&5
    32273344echo "$as_me: WARNING: Failed to find a Fortran compiler!" >&2;}
    32283345fi
     3346
    32293347FFLAGS="$save_fflags"
    32303348
     
    32373355fi
    32383356
    3239 if test x"$FFLAGS" = x; then
     3357if test "$F77" != "unavailable" && test x"$FFLAGS" = x ; then
    32403358
    32413359  coin_add_fflags=
     
    32483366    coin_add_fflags="-pipe"
    32493367    coin_dbg_fflags="-g"
    3250     if test "$enable_doscompile" = yes; then
    3251       case $build in
    3252         *-cygwin*)
    3253           FFLAGS="-mno-cygwin"
    3254           cat >conftest.$ac_ext <<_ACEOF
     3368    case $enable_doscompile in
     3369      mingw)
     3370        FFLAGS="-mno-cygwin"
     3371        cat >conftest.$ac_ext <<_ACEOF
    32553372      program main
    32563373      write(*,*) 'Hello world'
     
    32873404rm -f conftest.err conftest.$ac_objext \
    32883405      conftest$ac_exeext conftest.$ac_ext
    3289           FFLAGS=
    3290         ;;
    3291       esac
    3292     fi
     3406        FFLAGS=
     3407      ;;
     3408    esac
    32933409  else
    32943410    case $build in
     
    34533569fi
    34543570
     3571# If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
     3572case "$FFLAGS" in
     3573  *-mno-cygwin*)
     3574    if test x${CPPFLAGS+set} != xset ; then
     3575      CPPFLAGS="-mno-cygwin"
     3576    else
     3577      case "$CPPFLAGS" in
     3578        *-mno-cygwin*)
     3579          ;;
     3580        *)
     3581          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     3582          ;;
     3583      esac
     3584    fi ;;
     3585esac
     3586
    34553587# Try if FFLAGS works
    3456 cat >conftest.$ac_ext <<_ACEOF
    3457       program main
    3458       integer i
    3459       end
    3460 _ACEOF
    3461 rm -f conftest.$ac_objext conftest$ac_exeext
    3462 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3463   (eval $ac_link) 2>conftest.er1
    3464   ac_status=$?
    3465   grep -v '^ *+' conftest.er1 >conftest.err
    3466   rm -f conftest.er1
    3467   cat conftest.err >&5
    3468   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3469   (exit $ac_status); } &&
    3470          { ac_try='test -z "$ac_f77_werror_flag"
    3471                          || test ! -s conftest.err'
    3472   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3473   (eval $ac_try) 2>&5
    3474   ac_status=$?
    3475   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3476   (exit $ac_status); }; } &&
    3477          { ac_try='test -s conftest$ac_exeext'
    3478   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3479   (eval $ac_try) 2>&5
    3480   ac_status=$?
    3481   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3482   (exit $ac_status); }; }; then
    3483   :
    3484 else
    3485   echo "$as_me: failed program was:" >&5
    3486 sed 's/^/| /' conftest.$ac_ext >&5
    3487 
    3488 FFLAGS=
    3489 fi
    3490 rm -f conftest.err conftest.$ac_objext \
    3491       conftest$ac_exeext conftest.$ac_ext
    3492 if test -z "$FFLAGS"; then
    3493   { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
    3494 echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
    3495   FFLAGS='-O'
     3588if test "$F77" != "unavailable" ; then
    34963589  cat >conftest.$ac_ext <<_ACEOF
    34973590      program main
     
    35313624      conftest$ac_exeext conftest.$ac_ext
    35323625  if test -z "$FFLAGS"; then
    3533     { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
     3626    { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
     3627echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
     3628    FFLAGS='-O'
     3629    cat >conftest.$ac_ext <<_ACEOF
     3630      program main
     3631      integer i
     3632      end
     3633_ACEOF
     3634rm -f conftest.$ac_objext conftest$ac_exeext
     3635if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3636  (eval $ac_link) 2>conftest.er1
     3637  ac_status=$?
     3638  grep -v '^ *+' conftest.er1 >conftest.err
     3639  rm -f conftest.er1
     3640  cat conftest.err >&5
     3641  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3642  (exit $ac_status); } &&
     3643         { ac_try='test -z "$ac_f77_werror_flag"
     3644                         || test ! -s conftest.err'
     3645  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3646  (eval $ac_try) 2>&5
     3647  ac_status=$?
     3648  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3649  (exit $ac_status); }; } &&
     3650         { ac_try='test -s conftest$ac_exeext'
     3651  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3652  (eval $ac_try) 2>&5
     3653  ac_status=$?
     3654  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3655  (exit $ac_status); }; }; then
     3656  :
     3657else
     3658  echo "$as_me: failed program was:" >&5
     3659sed 's/^/| /' conftest.$ac_ext >&5
     3660
     3661FFLAGS=
     3662fi
     3663rm -f conftest.err conftest.$ac_objext \
     3664      conftest$ac_exeext conftest.$ac_ext
     3665    if test -z "$FFLAGS"; then
     3666      { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
    35343667echo "$as_me: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&2;}
     3668    fi
    35353669  fi
    35363670fi
     
    35473681
    35483682case "$F77" in
    3549   ifort*)
     3683  ifort* | */ifort* | IFORT* | */IFORT*)
    35503684    case $build in
    35513685  *-mingw*)
     
    35543688    fi
    35553689    ;;
    3556 esac
     3690 esac
     3691 case $enable_doscompile in
     3692   msvc)
     3693     if test "x${LD+set}" = xset; then :; else
     3694       LD=link
     3695     fi
     3696     ;;
     3697 esac
    35573698
    35583699    ;;
     
    39724113
    39734114
     4115
     4116# AC_MSG_NOTICE([Beginning automake initialisation.])
    39744117# Stuff for automake
    39754118# test to see if srcdir already configured
     
    46514794
    46524795
     4796# AC_MSG_NOTICE([End automake initialisation.])
     4797
     4798
    46534799
    46544800unset ac_cv_file__________libtool
     
    47034849
    47044850fi
    4705 #if test "x$LIBTOOL" = x; then
    4706 AC_CHECK_FILE([../../../libtool],
    4707 #                [coin_config_dir=../../..
    4708 #                 LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    4709 #fi
     4851# if test "x$LIBTOOL" = x; then
     4852 AC_CHECK_FILE([../../../libtool],
     4853#                 [coin_config_dir=../../..
     4854#                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
     4855# fi
    47104856
    47114857if test "x$LIBTOOL" = x; then
    4712 
     4858# AC_MSG_NOTICE([Creating libtool script (calling COIN_PROG_LIBTOOL).])
    47134859  # Stuff for libtool
    4714   ac_ext=c
    4715 ac_cpp='$CPP $CPPFLAGS'
    4716 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4717 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4718 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4719 
    4720 if test x"" = x; then
    4721   hdr="#include <dlfcn.h>"
    4722 else
    4723   hdr=""
    4724 fi
    4725 
    4726 for ac_header in dlfcn.h
    4727 do
    4728 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    4729 echo "$as_me:$LINENO: checking for $ac_header" >&5
    4730 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    4731 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    4732   echo $ECHO_N "(cached) $ECHO_C" >&6
    4733 else
    4734   cat >conftest.$ac_ext <<_ACEOF
    4735 /* confdefs.h.  */
    4736 _ACEOF
    4737 cat confdefs.h >>conftest.$ac_ext
    4738 cat >>conftest.$ac_ext <<_ACEOF
    4739 /* end confdefs.h.  */
    4740 $hdr
    4741 
    4742 #include <$ac_header>
    4743 _ACEOF
    4744 rm -f conftest.$ac_objext
    4745 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4746   (eval $ac_compile) 2>conftest.er1
    4747   ac_status=$?
    4748   grep -v '^ *+' conftest.er1 >conftest.err
    4749   rm -f conftest.er1
    4750   cat conftest.err >&5
    4751   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4752   (exit $ac_status); } &&
    4753          { ac_try='test -z "$ac_c_werror_flag"
    4754                          || test ! -s conftest.err'
    4755   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4756   (eval $ac_try) 2>&5
    4757   ac_status=$?
    4758   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4759   (exit $ac_status); }; } &&
    4760          { ac_try='test -s conftest.$ac_objext'
    4761   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4762   (eval $ac_try) 2>&5
    4763   ac_status=$?
    4764   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4765   (exit $ac_status); }; }; then
    4766   eval "$as_ac_Header=yes"
    4767 else
    4768   echo "$as_me: failed program was:" >&5
    4769 sed 's/^/| /' conftest.$ac_ext >&5
    4770 
    4771 eval "$as_ac_Header=no"
    4772 fi
    4773 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4774 fi
    4775 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    4776 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    4777 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    4778   cat >>confdefs.h <<_ACEOF
    4779 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    4780 _ACEOF
    4781 
    4782 fi
    4783 
    4784 done
    4785 
    4786 
    4787 ac_ext=c
    4788 ac_cpp='$CPP $CPPFLAGS'
    4789 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4790 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4791 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4792 
    4793 
    4794 # Check whether --enable-shared or --disable-shared was given.
     4860  # Check whether --enable-shared or --disable-shared was given.
    47954861if test "${enable_shared+set}" = set; then
    47964862  enableval="$enable_shared"
     
    53405406*-*-irix6*)
    53415407  # Find out which ABI we are using.
    5342   echo '#line 5342 "configure"' > conftest.$ac_ext
     5408  echo '#line 5408 "configure"' > conftest.$ac_ext
    53435409  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53445410  (eval $ac_compile) 2>&5
     
    77697835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77707836   -e 's:$: $lt_compiler_flag:'`
    7771    (eval echo "\"\$as_me:7771: $lt_compile\"" >&5)
     7837   (eval echo "\"\$as_me:7837: $lt_compile\"" >&5)
    77727838   (eval "$lt_compile" 2>conftest.err)
    77737839   ac_status=$?
    77747840   cat conftest.err >&5
    7775    echo "$as_me:7775: \$? = $ac_status" >&5
     7841   echo "$as_me:7841: \$? = $ac_status" >&5
    77767842   if (exit $ac_status) && test -s "$ac_outfile"; then
    77777843     # The compiler can only warn and ignore the option if not recognized
     
    80378103   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80388104   -e 's:$: $lt_compiler_flag:'`
    8039    (eval echo "\"\$as_me:8039: $lt_compile\"" >&5)
     8105   (eval echo "\"\$as_me:8105: $lt_compile\"" >&5)
    80408106   (eval "$lt_compile" 2>conftest.err)
    80418107   ac_status=$?
    80428108   cat conftest.err >&5
    8043    echo "$as_me:8043: \$? = $ac_status" >&5
     8109   echo "$as_me:8109: \$? = $ac_status" >&5
    80448110   if (exit $ac_status) && test -s "$ac_outfile"; then
    80458111     # The compiler can only warn and ignore the option if not recognized
     
    81418207   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81428208   -e 's:$: $lt_compiler_flag:'`
    8143    (eval echo "\"\$as_me:8143: $lt_compile\"" >&5)
     8209   (eval echo "\"\$as_me:8209: $lt_compile\"" >&5)
    81448210   (eval "$lt_compile" 2>out/conftest.err)
    81458211   ac_status=$?
    81468212   cat out/conftest.err >&5
    8147    echo "$as_me:8147: \$? = $ac_status" >&5
     8213   echo "$as_me:8213: \$? = $ac_status" >&5
    81488214   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81498215   then
     
    1048610552  lt_status=$lt_dlunknown
    1048710553  cat > conftest.$ac_ext <<EOF
    10488 #line 10488 "configure"
     10554#line 10554 "configure"
    1048910555#include "confdefs.h"
    1049010556
     
    1058610652  lt_status=$lt_dlunknown
    1058710653  cat > conftest.$ac_ext <<EOF
    10588 #line 10588 "configure"
     10654#line 10654 "configure"
    1058910655#include "confdefs.h"
    1059010656
     
    1293012996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293112997   -e 's:$: $lt_compiler_flag:'`
    12932    (eval echo "\"\$as_me:12932: $lt_compile\"" >&5)
     12998   (eval echo "\"\$as_me:12998: $lt_compile\"" >&5)
    1293312999   (eval "$lt_compile" 2>conftest.err)
    1293413000   ac_status=$?
    1293513001   cat conftest.err >&5
    12936    echo "$as_me:12936: \$? = $ac_status" >&5
     13002   echo "$as_me:13002: \$? = $ac_status" >&5
    1293713003   if (exit $ac_status) && test -s "$ac_outfile"; then
    1293813004     # The compiler can only warn and ignore the option if not recognized
     
    1303413100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303513101   -e 's:$: $lt_compiler_flag:'`
    13036    (eval echo "\"\$as_me:13036: $lt_compile\"" >&5)
     13102   (eval echo "\"\$as_me:13102: $lt_compile\"" >&5)
    1303713103   (eval "$lt_compile" 2>out/conftest.err)
    1303813104   ac_status=$?
    1303913105   cat out/conftest.err >&5
    13040    echo "$as_me:13040: \$? = $ac_status" >&5
     13106   echo "$as_me:13106: \$? = $ac_status" >&5
    1304113107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304213108   then
     
    1460414670   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460514671   -e 's:$: $lt_compiler_flag:'`
    14606    (eval echo "\"\$as_me:14606: $lt_compile\"" >&5)
     14672   (eval echo "\"\$as_me:14672: $lt_compile\"" >&5)
    1460714673   (eval "$lt_compile" 2>conftest.err)
    1460814674   ac_status=$?
    1460914675   cat conftest.err >&5
    14610    echo "$as_me:14610: \$? = $ac_status" >&5
     14676   echo "$as_me:14676: \$? = $ac_status" >&5
    1461114677   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461214678     # The compiler can only warn and ignore the option if not recognized
     
    1470814774   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470914775   -e 's:$: $lt_compiler_flag:'`
    14710    (eval echo "\"\$as_me:14710: $lt_compile\"" >&5)
     14776   (eval echo "\"\$as_me:14776: $lt_compile\"" >&5)
    1471114777   (eval "$lt_compile" 2>out/conftest.err)
    1471214778   ac_status=$?
    1471314779   cat out/conftest.err >&5
    14714    echo "$as_me:14714: \$? = $ac_status" >&5
     14780   echo "$as_me:14780: \$? = $ac_status" >&5
    1471514781   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1471614782   then
     
    1691516981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691616982   -e 's:$: $lt_compiler_flag:'`
    16917    (eval echo "\"\$as_me:16917: $lt_compile\"" >&5)
     16983   (eval echo "\"\$as_me:16983: $lt_compile\"" >&5)
    1691816984   (eval "$lt_compile" 2>conftest.err)
    1691916985   ac_status=$?
    1692016986   cat conftest.err >&5
    16921    echo "$as_me:16921: \$? = $ac_status" >&5
     16987   echo "$as_me:16987: \$? = $ac_status" >&5
    1692216988   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692316989     # The compiler can only warn and ignore the option if not recognized
     
    1718317249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718417250   -e 's:$: $lt_compiler_flag:'`
    17185    (eval echo "\"\$as_me:17185: $lt_compile\"" >&5)
     17251   (eval echo "\"\$as_me:17251: $lt_compile\"" >&5)
    1718617252   (eval "$lt_compile" 2>conftest.err)
    1718717253   ac_status=$?
    1718817254   cat conftest.err >&5
    17189    echo "$as_me:17189: \$? = $ac_status" >&5
     17255   echo "$as_me:17255: \$? = $ac_status" >&5
    1719017256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719117257     # The compiler can only warn and ignore the option if not recognized
     
    1728717353   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728817354   -e 's:$: $lt_compiler_flag:'`
    17289    (eval echo "\"\$as_me:17289: $lt_compile\"" >&5)
     17355   (eval echo "\"\$as_me:17355: $lt_compile\"" >&5)
    1729017356   (eval "$lt_compile" 2>out/conftest.err)
    1729117357   ac_status=$?
    1729217358   cat out/conftest.err >&5
    17293    echo "$as_me:17293: \$? = $ac_status" >&5
     17359   echo "$as_me:17359: \$? = $ac_status" >&5
    1729417360   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1729517361   then
     
    1994520011
    1994620012
    19947 
    19948 
    19949 # We check for this header here in a non-standard way to avoid warning
    19950 # messages
    19951 
    19952 
    19953 
    19954 
    19955 
    19956 
    19957 
     20013# No longer needed now that CPPFLAGS is correctly set -- lh, 061214 --
     20014 # AC_REQUIRE([AC_COIN_DLFCN_H])
     20015
     20016# NEW: If libtool exists in the directory higher up, we use that one
     20017#      instead of creating a new one
     20018
     20019# It turns out that the code for AC_PROG_LIBTOOL is somehow AC_REQUIRED
     20020# out in front of this macro body. You'll notice that LIBTOOL is already
     20021# defined here.  We'll have to count on this macro not being called if libtool
     20022# already exists, or at least move the libtool fixes outside the conditional.
     20023# AC_MSG_NOTICE([Entering coin_prog_libtool, LIBTOOL = "$LIBTOOL".])
     20024# This test is therefore removed.  -- lh, 061214 --
     20025# if test "x$LIBTOOL" = x; then
     20026
     20027# AC_MSG_NOTICE([Calling PROG_LIBTOOL.])
     20028
     20029
     20030
     20031
     20032
     20033
     20034
     20035
     20036
     20037# AC_MSG_NOTICE([Finished PROG_LIBTOOL.])
    1995820038
    1995920039
     
    1996320043# - paths generated for .lib files is not run through cygpath -w
    1996420044
    19965 # Correct cygpath for minGW (ToDo!)
    19966 case $build in
    19967   *-mingw*)
    19968     CYGPATH_W=echo
    19969     ;;
    19970 esac
    19971 
    19972 case $build in
    19973   *-cygwin* | *-mingw*)
    19974   case "$CXX" in
    19975     cl* | */cl* | CL* | */CL*)
    19976       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20045
     20046# - lib includes subdirectory information; we want to replace
     20047#
     20048# old_archive_cmds="lib /OUT:\$oldlib\$oldobjs\$old_deplibs"
     20049#
     20050# by
     20051#
     20052# old_archive_cmds="echo \$oldlib | grep .libs >/dev/null; if test \$? = 0; then cd .libs; lib /OUT:\`echo \$oldlib\$oldobjs\$old_deplibs | sed -e s@\.libs/@@g\`; cd .. ; else lib /OUT:\$oldlib\$oldobjs\$old_deplibs ; fi"
     20053#
     20054#          -e 's%old_archive_cmds="lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs"%old_archive_cmds="echo \\\$oldlib \| grep .libs >/dev/null; if test \\\$? = 0; then cd .libs; lib /OUT:\\\`echo \\\$oldlib\\\$oldobjs\\\$old_deplibs \| sed -e s@\\.libs/@@g\\\`; cd .. ; else lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs; fi"%' \
     20055
     20056# The following was a hack for chaniing @BACKSLASH to \
     20057#          -e 'sYcompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"'`Ycompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"' | \$Xsed -e '"'"'s%@BACKSLASH@%\\\\\\\\\\\\\\\\%g'"'"'`Y' \
     20058
     20059  # Correct cygpath for minGW (ToDo!)
     20060  { echo "$as_me:$LINENO: Build is \"$build\"." >&5
     20061echo "$as_me: Build is \"$build\"." >&6;}
     20062  case $build in
     20063    *-mingw*)
     20064      CYGPATH_W=echo
     20065      ;;
     20066  esac
     20067
     20068  case $build in
     20069    *-cygwin* | *-mingw*)
     20070    case "$CXX" in
     20071      cl* | */cl* | CL* | */CL*)
     20072        { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    1997720073echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    19978       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19979           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19980           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19981           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19982           -e 's%lib /OUT:%lib -OUT:%' \
    19983           -e "s%cygpath -w%$CYGPATH_W%" \
    19984           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    19985           -e 's/$AR t/lib -nologo -list/' \
    19986           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    19987           -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    19988       libtool > conftest.bla
    19989 
    19990       mv conftest.bla libtool
    19991       chmod 755 libtool
    19992       ;;
    19993     *)
    19994       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20074        sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20075            -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20076            -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20077            -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20078            -e 's%lib /OUT:%lib -OUT:%' \
     20079            -e "s%cygpath -w%$CYGPATH_W%" \
     20080            -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20081            -e 's/$AR t/lib -nologo -list/' \
     20082            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20083            -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20084        libtool > conftest.bla
     20085
     20086        mv conftest.bla libtool
     20087        chmod 755 libtool
     20088        ;;
     20089      *)
     20090        { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    1999520091echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    19996       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19997           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19998           -e 's|libext="lib"|libext="a"|' \
    19999       libtool > conftest.bla
    20000 
    20001       mv conftest.bla libtool
    20002       chmod 755 libtool
    20003       ;;
     20092        sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20093            -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20094            -e 's|libext="lib"|libext="a"|' \
     20095        libtool > conftest.bla
     20096
     20097        mv conftest.bla libtool
     20098        chmod 755 libtool
     20099        ;;
     20100    esac
    2000420101  esac
    20005 esac
    20006 
    20007 
     20102# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     20103# the macro. -- lh, 061214 --
     20104# fi
     20105
     20106# AC_MSG_NOTICE([End libtool initialisation.])
     20107
     20108# AC_MSG_NOTICE([Finished COIN_PROG_LIBTOOL.])
    2000820109  # set RPATH_FLAGS to the compiler link flags required to hardcode location
    2000920110  # of the shared objects
     
    2006420165      s,@am__fastdep* | s,@AR@* | s,@CPP@*  | s,@CPPFLAGS@* | s,@CXXCPP@*  | \
    2006520166      s,@RANLIB@* | s,@STRIP@* | s,@ac_ct_AR@* | s,@ac_ct_RANLIB@* | \
    20066       s,@ac_ct_STRIP@* | s,@host* | s,@LN_S@* | s,@RPATH_FLAGS@* )
     20167      s,@ac_ct_STRIP@* | s,@host* | s,@LN_S@* | s,@RPATH_FLAGS@* | \
     20168      s,@ac_c_preproc_warn_flag@* |  s,@ac_cxx_preproc_warn_flag@* )
    2006720169        command=`echo $oneline | sed -e 's/^s,@//' -e 's/@,/="/' -e 's/,;t t/"/'`
    2006820170#        echo "$command"
     
    2009120193  done
    2009220194fi
     20195
     20196# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2009320197
    2009420198# ToDo
     
    2109921203s,@CXXCPP@,$CXXCPP,;t t
    2110021204s,@LIBTOOL@,$LIBTOOL,;t t
     21205s,@ac_c_preproc_warn_flag@,$ac_c_preproc_warn_flag,;t t
     21206s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2110121207s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2110221208s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.